<ui:composition xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:h="http://java.sun.com/jsf/html"
                template="/layout/template.xhtml">

    <ui:param name="pageNameTitle" value="#{messages['gazelle.tm.application.HomeEditor']}"/>

    <ui:define name="body">
        <h:form id="homeEditor">
            <a4j:region id="descriptionRegion">
                <div class="row search-criteria">
                    <p>#{messages['gazelle.tm.application.SectionToEdit']}</p>
                    <a class="col-md-2">
                        <h:selectOneMenu id="sectionSelection"
                                         styleClass="pull-left gzl-select-text gzl-home-section"
                                         style="width : 90%; content : initial;"
                                         value="#{homeEditorBean.homeSection}">
                            <s:selectItems value="#{homeEditorBean.getHomeSections()}"
                                           var="selectedValue" label="#{messages[selectedValue.keyword]}"/>
                            <a4j:ajax event="change" render="homePageEditor" execute="sectionSelection"
                                      listener="homeBeanGui.setSelectedSection(selectedValue)"/>
                        </h:selectOneMenu>
                    </a>
                    <a class="col-md-2" id="restore-btn">
                        <a4j:commandButton id="restore-btn" value="#{messages['gazelle.tm.application.Restore']}"
                                           actionListener="#{homeEditorBean.restorePreviousContent()}"
                                           styleClass="gzl-btn-red"
                                           render="homePageEditor">
                        </a4j:commandButton>
                    </a>
                    <a class="col-md-8" id="save-btn">
                        <a4j:commandButton id="save" value="#{messages['gazelle.tm.application.SaveAndContinue']}"
                                           actionListener="#{homeEditorBean.save(homeEditorBean.getSelectedContent())}"
                                           styleClass="gzl-btn-green pull-right"/>
                    </a>
                </div>
                <s:decorate id="homePageEditor" template="/layout/form/_edit.xhtml">
                    <ui:decorate template="/layout/editor/_text_editor.xhtml">
                        <ui:param name="text" value="#{homeEditorBean.selectedContent}"/>
                        <ui:param name="id" value="iffEditor"/>
                        <ui:param name="isFocus" value="true"/>
                        <ui:param name="editor_height" value='600'/>
                    </ui:decorate>
                </s:decorate>
            </a4j:region>
        </h:form>
    </ui:define>
</ui:composition>